Skip to main content
DELETE
Remove a cart add-on item

Path Parameters

cartAddOnItemId
string
required

Cart add-on item ID

Response

200 - application/json

Cart add-on removed

id
string
required

Unique identifier of the cart

storeId
string
required

ID of the store that owns the cart

customerId
string | null
required

ID of the customer who owns the cart

status
enum<string>
required

Cart status

Available options:
active,
converted,
abandoned
paymentCurrencyCode
string
required

Payment currency code for the cart totals

taxesIncluded
boolean
required

Whether taxes are included in prices

expiresAt
string<date-time> | null
required

When cart should expire

extensionsCount
number
required

Number of times the cart expiration has been extended

appliedDiscountCode
string | null
required

Applied promo/discount code for this cart

createdAt
string<date-time>
required

Created at timestamp

updatedAt
string<date-time> | null
required

Updated at timestamp

subtotal
number
required

Subtotal amount of the cart

Example:

100

totalTax
number
required

Total tax amount of the cart

Example:

20

total
number
required

Grand total of the cart

Example:

120

appliedDiscounts
object[]
required

Applied discounts aggregated across all cart items

customer
object | null
required

Customer who owns the cart

items
object[]
required

Items in the cart

payments
object[]
required

Payment records associated with the cart

Last modified on July 26, 2026